# Toutes les configurations destinées au chart Nextcloud 
# doivent être indentées sous la clé 'nextcloud'
traefik:
  deployment:
    enabled: true
    replicas: 1

  service:
    type: LoadBalancer
    annotations:
      metallb.universe.tf/address-pool: default
    ports:
      web:
        port: 80
        targetPort: 8000
      websecure:
        port: 443
        targetPort: 8443

  ports:
    web:
      port: 8000
      expose:
        default: true

    websecure:
      port: 8443
      expose:
        default: true

  ingressClass:
    enabled: true
    isDefaultClass: true

  providers:
    kubernetesCRD:
      enabled: true
    kubernetesIngress:
      enabled: true

  logs:
    general:
      level: INFO
    access:
      enabled: true

  metrics:
    prometheus:
      enabled: true

  globalArguments:
    - "--api.dashboard=true"

  additionalArguments:
    - "--entrypoints.web.address=:8000"
    - "--entrypoints.websecure.address=:8443"

  tls:
    stores:
      default:
        defaultCertificate:
          secretName: traefik-default-cert
